<script setup>
import { mdiGithub } from "@mdi/js";
import Level from "@/components/Level.vue";
import AddButton from "@/components/AddButton.vue";

defineProps({
  titleStack: {
    type: Array,
    default: () => [],
  },
  to:{
    type:String,
    default:''
  }
});
</script>

<template>
  <section>
    <level>
      <ul>
        <li
          v-for="(title, index) in titleStack"
          :key="index" 
          class="title-stack-item font-semibold inline-block pr-3 text-lg text-gray-500 dark:text-gray-400 last:pr-0 last:text-black-150 last:font-bold"
        ><router-link :to="to">
          {{ title }}
        </router-link>  
        </li>
      </ul>
      <!-- <add-button
        to="/edit-profile"
        color=""
        label="Edit Profile"
        
        :icon="mdiGithub"
      /> -->
    </level>
  </section>
</template>

<style scoped>
li.title-stack-item:not(:last-child):after {
  content: "/";
  @apply inline-block pl-3;
}
</style>
